@charset "utf-8";

body * {
	box-sizing: border-box;
}
html, body {
	height: 100%;
	font-size: 16px;
	scroll-padding-top: 10px; /* アンカーリンク位置の調整 */

}
body {
	font-family: "Noto Sans JP", "Noto Sans", sans-serif;
	font-weight: 300;
	font-optical-sizing: auto;
	text-indent: 0.1rem;
	line-height: 1.5;
	overflow-x: hidden;
	opacity: 0;
	animation: fadeIn 1.5s ease forwards;
	background-color: #333;
	margin-top: auto;
	margin-right: 0px;
	margin-bottom: auto;
	margin-left: 0px;
}
 @keyframes fadeIn {
 to {
 opacity: 1;
}
}

header {
	/*	font-family: "Cormorant SC", serif;*/
/*	font-family: "Noto Sans JP", "Noto Sans", sans-serif;
	font-weight: 100;
	font-style: normal;
*/	
	font-family: "Nata Sans", "Noto Sans JP", "Noto Sans", sans-serif;
	font-weight: 200;
	font-style: normal;
	text-decoration: none;


	width: 240px;
	/*	padding: 0 2vw;	ヘッダー内の余白。上下、左右への順番。*/
	padding: 0 12px;
	margin-top: 12px;
	text-align: center;
	position: fixed;
	left: 0px;
	top: 0px;
}
header #logo {
	padding: 0;
	margin: 0;
}
header #logo img {
	display: block;
}
header #logo span {
	display: block;
	font-size: 11px;
	font-weight: 300;
	background-color: rgba(255,130,130,0.5);
	border-radius: 5px;
}

#menubar nav, ul, li {
	margin: 0;
	padding: 0;
	line-height: 2rem;
	letter-spacing: 0.1rem;
}
#menubar {
	display: block;
}
#menubar li {
	list-style-type: none;
}
#menubar H1 {
	line-height: normal;
	font-size: 0.7rem;
	text-align: center;
}
#menubar ul {
	margin: 2.5rem 0 0 0;
}
#menubar nav {
}
#menubar nav a {
	text-decoration: none;
	font-size: 1.2rem;
	line-height: 2rem;
	display: block;
	background: rgba(0,0,0,0.5);
	border: 0 solid rgba(255,255,255,0.3);
	color: #fff;
	padding: 0.5rem;
	margin: 0.5rem 0;
	border-radius: 5px;
	transition: background 0.3s;

}
#menubar nav a:hover {
	border: 0 solid rgba(255,0,0,0.9);
	transition: 0.3s;
	background-color: rgba(102,0,0,0.9);
	transition: background 0.3s;

}

/* for menu link */
#menulink{
	font-family: "Noto Serif JP", "Noto Serif", serif;
	color: rgba(255,255,255,1);
	font-weight:100;
	font-size:0.8rem;
	margin-top:1rem;

}

#menulink nav, ul, li {
	margin: 0;
	padding: 0;
	letter-spacing: 0.1rem;
}

#menulink ul {
	display:flex;
	justify-content: flex-end;
	}

#menulink li {
	list-style-type: none;
	letter-spacing:0;
	line-height:1rem;
}

#menulink .linksns {
	margin-bottom:1.2em;

}

	
#menulink .linksns a {
	padding-left:5px;
	padding-right:5px;

}

#menulink .linkweb {
	margin-bottom:0.3em;	

}

#menulink .linkweb a {
	min-width:4rem;
	padding-left:0.4em;
	padding-right:0.4em;
}

#menulink li.separate {
	margin-left: 0.2em;
	margin-right:0.2em;
}

#menulink a.menulink-button {
	display: block;
	min-width:1.5rem;

	text-decoration: none;
	border-radius: 2px;
	background: rgba(0,0,0,0.2);
	border: 0px solid rgba(255,255,255,0.3);
	color: #fff;
	transition: color 0.3s ease, background 0.3s ease;

}

#menulink .linksns a.menulink-button {
	background: rgba(0,0,0,0);
	transition: color 0.3s ease ,  background 0.3s ease;
}

#menulink a.menulink-button:hover {
	background-color: rgba(255,255,255,0.7);
	color: #000;
	transition: color 0.3s ease ,  background 0.3s ease;
}



main {
	margin-left: 240px;
	flex-grow: 1;
}
h1, h2, h3, h4 {
	font-weight: 300;
	font-size: 2rem;
}
dd {
	margin: 0;
}
main h3, h4, p {
	margin-left: 2rem;
	margin-right: 2rem;
}
main h2 {
	margin-top: 0;
	font-size: 1.9rem;
	font-family: "Nata Sans", "Noto Sans JP", "Noto Sans", sans-serif;
	font-optical-sizing: auto;
	font-weight: 300;
	font-style: normal;
	line-height: 1;
}
main h2 .h2jp{
	font-size:1.1rem;
	font-family:"Noto Sans JP", "Noto Sans", sans-serif;
	}

main h3 {
	font-size: 1.5rem;
}
main h4 {
	font-size: 1.1rem;
}
main p {
}
main td p {
	margin-left: 2rem;
}
main a {
	color: rgba(158,235,245,1);
}
main a:hover {
	color: rgba(255,255,255,1);
}
.new {
	display: grid;
	grid-template-columns: auto 1fr;
	padding-left: 50px;
}
.new dd {
	padding-bottom: 0.5rem;
}
.new dt span {
	display: inline-block;
	text-align: center;
	line-height: 1;
	border-radius: 3px;
	padding: 0 0.5rem;
	width: 6rem;
	transform: scale(0.8);
	background: rgba(255,255,255,0.8);
	color: #333;
}
.small {
	font-size: 0.8em;
}
section {
	align-items: center;
	justify-content: center;
	border-radius: 30px 0 0 30px;
	box-shadow: 0 4px 12px rgba(0,0,0,0.1);
	min-height: calc(100dvh - 2.3rem);
	margin: 10px 0px 40px 0px;
	padding: 4vw;
}
#sec1 {
	background-color: rgba(102,102,102,0.5);
	color: #FFF;
	display: flex;
}
#sec2 {
	background-color: rgba(247,250,255,0.7);
	color: #000;
	border: thin solid rgba(102,102,102,0.2);
}
#sec2 details {
	padding-left: 30px;
	padding-bottom: 3rem;
}

#sec3 {
	background-color: rgba(101,105,137,0.5);
	color: #FFF;
}
#sec4 {
	background-color: rgba(139,154,146,0.5);
	color: #FFF;
}
#sec5 {
	background-color: rgba(255,255,255,0.7);
	color: #333;
}
.ns {
	font-size: 0.7em;
}
.profile td {
	padding: 10px;
	text-align: center;
	vertical-align: top;
}
.profile table { 
min-width:350px; 
max-width:780px;
margin-left:auto; 
margin-right:auto;
}
.proftd {
	white-space: nowrap;
}
.profavatar {
	width: 120px;
	height: 120px;
	border-radius: 50%;
	object-fit: cover;
	margin-bottom: 1rem;
}
.proflink-button {
	display: block;
	width: 90%;
	max-width: 300px;
	margin: 0.7em auto;
	padding: 1rem;
	border-radius: 12px;
	background-color: #8E5959;
	text-decoration: none;
	color: #FFF;
	font-weight: bold;
	box-shadow: 0 2px 4px rgba(0,0,0,0.1);
	transition: background 0.2s ease;
}
.proflink-button:hover {
	background-color: #CF3636;
}
.agechkblur {
	filter: blur(5px);
}
img {
	max-width: 100%;
}

footer {
	font-size: 0.7rem;
	text-align: center;
	padding: 0.1rem;
	background-color: rgba(0,0,0,0.2);
	/*border-radius: 5px;*/
	color: rgba(255,255,255,1);
	position: fixed;
	bottom: 0;
	width: 100%;
}
footer small {
	font-size: 100%;
}
footer a {
	color: inherit;
	text-decoration: none;
}

.link-icon {
      width: 1.1rem;
      height: 1.1rem;
      border-radius: 2px;
      object-fit: cover;
	  padding:2px;
	  margin-right:0.2em;
  	  vertical-align:-20%;

}
  .icon_x {
	  background:rgba(0,0,0,1);
}
  .icon_pixiv {
	background-color: rgba(0,150,250,1);
}
  .icon_bsky {
	background-color: rgba(255,255,255,1);
	
}
  .icon_da {
	background-color: rgba(0,0,0,1);
}
  .icon_spacer {
	background-color: rgba(0,0,0,0);
	width:1px;
    margin:0;
	padding-left:0;
	padding-right:0;
}


/* スマホ向け(900px以下) */
@media screen and (max-width: 800px) {
html, body {
	font-size: 15px;
	width:100%;
}
header {
	position: inherit;
	margin-top: 10px;
}
main {
	margin-left: 0px;
	width:100%;
}
#menubar {
	position: fixed;
	bottom: 20px;
	right: 1px;
}
#menubar nav {
	margin-top: 0px;
}
#menubar nav a {
	font-size:1rem;
	line-height:1.5rem;
	letter-spacing: 0rem;
	margin-top:3px;
	margin-bottom:3px;
	padding-left:1vw;
	padding-right:1vw;
	
}
div#menulink{
	position:absolute;
	right:5px;
	top:20px;
	
	}
section {
	border-radius: 20px;
	margin-left: 10px;
	margin-right: 10px;
}
#sec4a {
	border-radius: 10px;
	margin-right: 10px;
}

.profile {
min-width:0px; 
margin-left:auto; 
margin-right:auto;
}
.proftd {
	white-space: wrap;
}

}

@media screen and (max-width: 420px) {
html, body {
	width:400px;
	}
div#menulink{
	position:absolute;
	right:5px;
	top:100px;
	
	}


}

